as.topo {oce} | R Documentation

## Coerce data into topo dataset

### Description

Coerces a dataset into a topo (topographic) dataset.

### Usage

    as.topo(longitude, latitude, z, units=NULL, filename="")

### Arguments

`longitude` | either a vector of longitudes, or a `bathy` object created by `getNOAA.bathy()` from the `marmap` package; in the second case, all other arguments are ignored
`latitude` | a vector of latitudes
`z` | a matrix of heights (positive over land)
`units` | an optional list giving units for `longitude`, `latitude` and `z`.
`filename` | name of data (used when called by `read.topo`)

### Details

Mainly used by `read.topo`.

### Value

An object of `class` `"topo"`.

### Author(s)

Dan Kelley

### See Also

`read.topo`, which calls this.

[Package oce version 0.9-18 Index]